/workflows/edit puts used_statuses_only twice at url

2024-12-07 14:59 - Grischa Zengel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 6.0.1

Description

1. got to /workflows/edit

2. mark used status only and press edit

you will get /workflows/edit?role_id%5B%5D=all&tracker_id%5B%5D=all&used_statuses_only=0&used_statuses_only=1

History

#1 - 2025-02-15 09:11 - Go MAEDA

- Category set to Issues workflow

- Status changed from New to Confirmed

#2 - 2025-02-17 12:04 - Holger Just

This is generated by the check_box helper . To quote its documentation:

The HTML specification says unchecked check boxes are not successful, and thus web browsers do not send them.

 Thus, the check_box helper creates a hidden field containing the disabled value. If the checkbox is unchecked, the browsers only sends the hidden

field. If the checkbox is checked, the browser send the hidden field and the checkbox value with the same name (which thus overrides the hidden

value).

As we do consider an absent value, i.e. the default, to mean "the checkbox is checked" (see WorkflowController#find_statuses), this duplication is

something we can't easily fix as there would be no way to send an unchecked value from the browser form.

#3 - 2025-02-28 09:29 - Go MAEDA

- Status changed from Confirmed to Closed

- Resolution set to Wont fix

Holger Just wrote in #note-2:

As we do consider an absent value, i.e. the default, to mean "the checkbox is checked" (see WorkflowController#find_statuses), this duplication

is something we can't easily fix as there would be no way to send an unchecked value from the browser form.

 For the above reason, I am closing this issue.
https://api.rubyonrails.org/v7.2/classes/ActionView/Helpers/FormHelper.html#method-i-check_box
